SGML2LATEX(1)

NAME
sgml2latex - create LaTeX, DVI, PostScript or PDF output from a LinuxDoc DTD SGML source file

SYNOPSIS
sgml2latex [generic-option...] [--output=tex|dvi|ps|pdf] [--bibtex] [--makeindex] [--pagenumber=n] --quick [--latex=hlatexp|platex] [--dvips=dvips|dvi2ps] file[.sgml]

DESCRIPTION
sgml2latex is an old and obsoleted form of the latex converter command of LinuxDoc-Tools. It is recommended to switch the new form linuxdoc -B latex now. It converts a LinuxDoc DTD SGML source file to LaTeX output, using the nsgmls(1) or onsgmls(1) parser, and the sgmlsasp(1) translator. Using the LaTeX output, and the latex(1) text formatter, you can then create DVI output, and PostScript output using the dvips(1) converter. Output will appear in file.tex for LaTeX output, file.dvi for DVI output, or file.ps for PostScript output, where file is the name of the SGML source file.

Using the LaTeX output, and the pdflatex(1) text formatter, you can then create a nice PDF output, suitable for viewing with PDF viewers as xpdf(1), acroread(1) or ghostview(1).

The attribute/value pair "output=latex2e" is set for conditionals.

OPTIONS
sgml2latex accepts all the generic options described in linuxdoc(1), and the following specific options:

--output=fmt, -o
    Specify the desired output format. The specifier fmt may be ``tex'', ``dvi'', ``ps'', or ``pdf''.

Note: This version does not overwrite/remove the intermediate files: tex file for dvi output, or tex/dvi files for ps output. This is different behavior from the original SGML-Tools 1.0.9, so you are warned here.

--bibtex, -b
    Process the generated TeX with bibtex(1).

--makeindex, -m
    Generate a TeX index file suitable for processing with makeindex(1) from and <idx> and <cdx> tags present in the SGML source.

--pagenumber, -n
    Set the starting page number in the output DVI or PS file.

--quick, -q
    Do only one pass of LaTeX formatting. This is often not sufficient to produce final output (because of references, etc.) but is useful for spotting TeX errors and justification problems.

--pass, -P
    The argument of the pass option is inserted just after the LaTeX preamble generated by the document-type tag. Specify the desired output format. The specifier fmt may be ``tex'', ``dvi'', ``ps'', or ``pdf''.

--latex=alternate_latex_command, -x
    This option is currently for Korean and Japanese. The alternate_latex_command can be ``latex'' (default), ``hlatexp'' (for Korean), ``platex'' or ``jlatex'' (for Japanese). This option can be used to render Korean document using HLaTeXp, or to render Japanese document using pLaTeX/jLaTeX. If not, HLaTeX should be installed to render Korean document. On the other hand, Japanese document can be rendered with jLaTeX
     (which is the default when ``-c nippon'' is specified), so if you already have jLaTeX, you may not need to install the pLaTeX.

--dvips=alternate_dvips_command, -s
    This option is currently for Japanese. The alternate_dvips_command can be ``dvips'' or ``dvi2ps''. If you don't know this, then you may not need this.

file
    The SGML source file, named either file or file.sgml

FILES
Many files and executables in /usr/share/linuxdoc-tools and /usr/bin are used.

BUGS
None known.

AUTHOR
Originally written by Greg Hankins <greg.hankins@cc.gatech.edu>, based on scripts by Tom Gordon and Alexander Horz. Later rewritten by Cees de Groot <cg@cdegroot.com>. PDF patches by Juan Jose Amor <jjamor@hispalinux.es>. Currently maintained by Taketoshi Sano <sano@debian.org> for Linuxdoc-Tools.

SEE ALSO
linuxdoc(1), sgml2html(1), sgml2info(1), sgml2lyx(1), sgml2rtf(1), sgml2txt(1), sgmlcheck(1).